# MCS_ChannelAttributes_private Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_ChannelAttributes_private:

List of all members.

## Public Member Functions

| MCS_ChannelAttributes_private (unsigned tag=2, TagClass tagClass=ContextSpecificTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_joined
MCS_PrivateChannelId | m_channelId
MCS_UserId | m_manager
MCS_ArrayOf_UserId | m_admitted

## Constructor & Destructor Documentation

MCS_ChannelAttributes_private::MCS_ChannelAttributes_private | ( | unsigned | tag = `2`,
|  | TagClass | tagClass = `ContextSpecificTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_ChannelAttributes_private::GetDataLength | ( |  | ) | const

PBoolean MCS_ChannelAttributes_private::Decode | ( | PASN_Stream & | strm | ) |

void MCS_ChannelAttributes_private::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_ChannelAttributes_private::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_ChannelAttributes_private::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_ChannelAttributes_private::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean MCS_ChannelAttributes_private::m_joined

MCS_PrivateChannelId MCS_ChannelAttributes_private::m_channelId

MCS_UserId MCS_ChannelAttributes_private::m_manager

MCS_ArrayOf_UserId MCS_ChannelAttributes_private::m_admitted

The documentation for this class was generated from the following file:

- mcs.h